<?php
use KrothiumAPI\Http\Router;
use WorkbloomERP\Module\v0\Auth\Middlewares\AuthMiddleware;
use WorkbloomERP\Module\v0\Contato\Controllers\ContatoController;

Router::group(
    prefix: '/contacts',
    callback: function() {
        // Endpoint para obter as opções de criação de contato (UF, regime tributário, etc.)
        Router::get('/create-options', [ContatoController::class, 'createOptions']);
        
        // Rota para cadastrar um novo contato
        Router::post('/create', [ContatoController::class, 'create']);
    },
    middlewares: [
        [AuthMiddleware::class, 'handle']
    ]
);